'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var markdown = _interopDefault(require('markdown-it'));

const default_options = { html: true };

function md(options = default_options, extend = md => md) {
  if (typeof options === 'function') {
    extend = options;
    options = default_options;
  }
  const md = extend(markdown(options));

  return {
    markup({ content }) {
      return { code: md.render(content) };
    }
  };
}

module.exports = md;
